diff --git a/web/pgadmin/browser/server_groups/servers/templates/depends/sql/9.1_plus/dependents.sql b/web/pgadmin/browser/server_groups/servers/templates/depends/sql/9.1_plus/dependents.sql
index 614694b..20ebf6f 100644
--- a/web/pgadmin/browser/server_groups/servers/templates/depends/sql/9.1_plus/dependents.sql
+++ b/web/pgadmin/browser/server_groups/servers/templates/depends/sql/9.1_plus/dependents.sql
@@ -2,7 +2,8 @@
 SELECT DISTINCT dep.deptype, dep.refclassid, cl.relkind, ad.adbin, ad.adsrc,
     CASE WHEN cl.relkind IS NOT NULL THEN cl.relkind || COALESCE(dep.refobjsubid::text, '')
         WHEN tg.oid IS NOT NULL THEN 'T'::text
-        WHEN ty.oid IS NOT NULL THEN 'y'::text
+        WHEN ty.oid IS NOT NULL AND ty.typbasetype = 0 THEN 'y'::text
+        WHEN ty.oid IS NOT NULL AND ty.typbasetype != 0 THEN 'd'::text
         WHEN ns.oid IS NOT NULL THEN 'n'::text
         WHEN pr.oid IS NOT NULL THEN 'p'::text
         WHEN la.oid IS NOT NULL THEN 'l'::text
diff --git a/web/pgadmin/browser/utils.py b/web/pgadmin/browser/utils.py
index e78dc5e..c349450 100644
--- a/web/pgadmin/browser/utils.py
+++ b/web/pgadmin/browser/utils.py
@@ -424,6 +424,7 @@ class PGChildNodeView(NodeView):
             'p': 'function',
             'n': 'schema',
             'y': 'type',
+            'd': 'domain',
             'T': 'trigger',
             'l': 'language',
             'R': None,
